#!/bin/bash -ue
bwa mem \
    -R "@RG\tID:hcc1395_tumor\tLB:hcc1395_tumor\tSM:hcc1395_tumor\tPL:ILLUMINA" \
    -M GRCh38.d1.vd1.fa \
    -t 16 \
    -Y \
    hcc1395_tumor_DNA_trimmed_R1.fastq.gz hcc1395_tumor_DNA_trimmed_R2.fastq.gz | \
samtools view -@2 -Shbu - | \
sambamba sort \
    --sort-picard \
    --tmpdir=/home/heshen/01.project/01.neoantigen/01.project/NeoantigenPipeline/tmpdir \
    -m 64G \
    -l 6 \
    -t 8 \
    -o hcc1395_tumor_DNA_aligned.bam \
    /dev/stdin
